Name:           perl-MooseX-Role-Tempdir
Version:        0.03
Release:        4%{?dist}
Summary:        Moose role to provide temporary directories
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/MooseX-Role-Tempdir/
Source0:        http://www.cpan.org/authors/id/I/IA/IAMB/MooseX-Role-Tempdir-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(MooseX::Role::Parameterized)
# Tests only
BuildRequires:  perl(Test::More)
# Optional tests
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This is a very simple Moose role that provides an attribute 'tmpdir' and
creates a temporary directory (via File::Temp) to go along with it. One
temporary directory will be created for every object with this role, so
keep that in mind if you're going crazy with lots of objects or
creation/destruction.

%prep
%setup -q -n MooseX-Role-Tempdir-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files

%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.03-2
- Perl 5.22 rebuild

* Tue Dec 09 2014 Petr Šabata <contyk@redhat.com> 0.03-1
- Initial packaging
